MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023807Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2013-03-01 14:252020-09-02 19:37
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2008OS Version32 bit
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 7.5.0Fixed in Version[OCCT] 7.4.0 
Summary0023807: New Boolean operations have lower performance in some cases
DescriptionThere are several test cases where performance of the new Boolean Operation algorithm is much lower than old one. The following cases are selection of the subset of test cases showing most serious downgrade (~ 10 times or more) by comparing current Git master and that of December 2012 (tested on win32 vc9):

boolean bcut_complex Q4, Q9
boolean bopcommon_complex C8
boolean bopcut_complex P8
boolean bopsection D6
boolean bsection M9, P4

TagsNo tags attached.
Test case number
Attached Filespng file icon bop_perf.png (9,004 bytes) 2020-08-28 12:50

- Relationships
related to 0024832closedapn Community Performance of new boolean operations has become worse 

-  Notes
(0093686)
emv (developer)
2020-08-28 12:50

Performance of boolean operations algorithm has been improved multiple times since new algorithm was integrated. The performance of the listed cases has been improved significantly, see the attached image. I think this issue may be closed.
(0093846)
szy (manager)
2020-09-02 11:46

Reviwed

- Issue History
Date Modified Username Field Change
2013-03-01 14:25 abv New Issue
2013-03-01 14:25 abv Assigned To => jgv
2013-03-01 14:25 abv Assigned To jgv => abk
2013-03-01 14:25 abv Status new => assigned
2013-04-10 06:59 abv Target Version 6.6.0 => 6.7.0
2013-04-11 15:10 ifv Assigned To abk => emv
2013-04-16 15:29 emv Relationship added related to 0023906
2013-12-21 10:21 abv Target Version 6.7.0 => 6.7.1
2014-04-04 18:19 abv Target Version 6.7.1 => 6.8.0
2014-04-15 12:55 Timo Relationship added related to 0024832
2014-09-26 11:35 abv Target Version 6.8.0 => 7.1.0
2016-10-26 10:01 emv Target Version 7.1.0 => 7.2.0
2017-07-24 09:32 msv Target Version 7.2.0 => 7.3.0
2017-12-05 17:08 msv Target Version 7.3.0 => 7.4.0
2019-08-12 16:37 msv Target Version 7.4.0 => 7.5.0
2020-08-28 12:50 emv Note Added: 0093686
2020-08-28 12:50 emv Assigned To emv => szy
2020-08-28 12:50 emv Status assigned => feedback
2020-08-28 12:50 emv File Added: bop_perf.png
2020-08-28 13:08 msv Description Updated View Revisions
2020-09-02 11:46 szy Note Added: 0093846
2020-09-02 11:46 szy Assigned To szy => bugmaster
2020-09-02 11:46 szy Status feedback => reviewed
2020-09-02 19:37 bugmaster Status reviewed => closed
2020-09-02 19:37 bugmaster Resolution open => fixed
2020-09-02 19:37 bugmaster Fixed in Version => 7.4.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker